Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.meta
Class ValueStrategies

    java.lang.Object
      org.apache.openjpa.meta.ValueStrategies

    public class ValueStrategies

extends Object

Strategies for persistent value generation.

Since:
  0.4.0
Author:
  Abe White

Field Summary
`static int` | `AUTOASSIGN` "autoassigned" value strategy.
`static int` | `INCREMENT` "increment" value strategy.
`static int` | `NATIVE` "native" value strategy.
`static int` | `NONE` No value strategy.
`static int` | `SEQUENCE` "sequence" value strategy.
`static int` | `UUID_HEX` "uuid-hex" value strategy.
`static int` | `UUID_STRING` "uuid-string" value strategy.
`static int` | `UUID_TYPE4_HEX` "uuid-type4-hex" value strategy.
`static int` | `UUID_TYPE4_STRING` "uuid-type4-string" value strategy.

Constructor Summary
`ValueStrategies()`

Method Summary
`static void` | `assertSupported(int strategy, MetaDataContext context, String attributeName)` Assert that the given strategy is supported by the current runtime.
`static int` | `getCode(String val, Object context)` Convert the given strategy name to its constant.
`static String` | `getName(int strategy)` Convert the given strategy to a name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NONE

    public static final int NONE

  No value strategy.

  See Also:
    Constant Field Values

### NATIVE

    public static final int NATIVE

  "native" value strategy.

  See Also:
    Constant Field Values

### SEQUENCE

    public static final int SEQUENCE

  "sequence" value strategy.

  See Also:
    Constant Field Values

### AUTOASSIGN

    public static final int AUTOASSIGN

  "autoassigned" value strategy.

  See Also:
    Constant Field Values

### INCREMENT

    public static final int INCREMENT

  "increment" value strategy.

  See Also:
    Constant Field Values

### UUID_STRING

    public static final int UUID_STRING

  "uuid-string" value strategy.

  See Also:
    Constant Field Values

### UUID_HEX

    public static final int UUID_HEX

  "uuid-hex" value strategy.

  See Also:
    Constant Field Values

### UUID_TYPE4_STRING

    public static final int UUID_TYPE4_STRING

  "uuid-type4-string" value strategy.

  See Also:
    Constant Field Values

### UUID_TYPE4_HEX

    public static final int UUID_TYPE4_HEX

  "uuid-type4-hex" value strategy.

  See Also:
    Constant Field Values

Constructor Detail

### ValueStrategies

    public ValueStrategies()

Method Detail

### getName

    public static String getName(int strategy)

  Convert the given strategy to a name.

### getCode

    public static int getCode(String val,
                              Object context)

  Convert the given strategy name to its constant.

### assertSupported

    public static void assertSupported(int strategy,
                                       MetaDataContext context,
                                       String attributeName)

  Assert that the given strategy is supported by the current runtime.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.